%{?nodejs_find_provides_and_requires}

%global packagename ansi-escapes
%global enable_tests 0
# Tests disabled due to missing 'ava' test suite

Name:		nodejs-ansi-escapes
Version:	2.0.0
Release:	1%{?dist}
Summary:	ANSI escape codes for manipulating the terminal

License:	MIT
URL:		https://github.com/sindresorhus/ansi-escapes
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/ansi-escapes/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
ANSI escape codes for manipulating the terminal


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%elif
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu May 25 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Update to upstream 2.0.0 release

* Wed Aug 03 2016 Jared Smith <jsmith@fedoraproject.org> - 1.4.0-1
- Update to upstream 1.4.0 release

* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
